Starmade | Directional Rail Logic
Closed, FinishedPublic

Description

Using the connection: flip flop into NOT-block, I can't change the orientation of rails. It changes once initially after everything is set up but does not repeat if the flip flop is activated or deactivated again.

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Singleplayer
Reproducible
Yes
Last tested (version)
0.199.625
Category
Logic Gates
First occurrence (version)
0.199.535
Hardware/Software/System
OS-Specific
Windows Only
Hardware-Specific
Mouse
Video Card Vendor
uncertain
User/Reporter/Contact
Username on Registry
Investigator 7
Steps to reproduce
  1. Place down a target rail to change, and a source rail to copy over to the target
  2. Put a NOT block next to the source rail, link NOT to the target rail
  3. Link an activator to the NOT block

Activate the activator, the NOT will not do anything with the source rail regardless of true/false signals.

Tester information (Internal use only)

The NOT block can't be used to send rail changes anymore. A true or false signal doesn't do anything when trying to set the rail type or change its orientation.

Serverconfig (server.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
Clientconfig (settings.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
lancake claimed this task.Jun 7 2017, 2:59 PM
lancake added a subscriber: lancake.

-validated- & -confirmed-

The NOT block can't be used to send rail changes anymore. A true or false signal doesn't do anything when trying to set the rail type or change its orientation.

lancake shifted this object from the S1 Public space to the S3 Starmade space.Jun 7 2017, 3:01 PM
lancake changed the task status from "Open" to "In Queue".
lancake raised the priority of this task from "Normal" to "High".
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake edited Steps to reproduce. (Show Details)
lancake edited Tester information (Internal use only). (Show Details)
lancake set Last tested (version) to 0.199.535.
lancake changed Category from none/unspecified to Logic Gates.
lancake set First occurrence (version) to 0.199.535.
Restricted Application edited projects, added Game Development, Logic; removed Issue Navigation. · View Herald TranscriptJun 7 2017, 3:01 PM
lancake changed the title from "DIrectional Rail Logic" to "Directional Rail Logic".
schema changed the task status from "In Queue" to "Resolved" by committing Restricted Diffusion Commit.Jun 27 2017, 2:21 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJun 27 2017, 2:21 PM
Restricted Application added a subscriber: AndyP. · View Herald Transcript

-QA Testing-

Looks fine now, and so does the parent task.

lancake changed Last tested (version) from 0.199.535 to 0.199.625.Jun 29 2017, 5:26 PM
lancake closed this task as "Closed".Jul 7 2017, 12:34 PM
Restricted Application removed a project: Quality Assurance. · View Herald TranscriptJul 7 2017, 12:34 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
AndyP moved this task from Unclassed to Archived on the Starmade board.Jul 20 2017, 10:41 PM